albumVideoDateCount(params: IAlbumVideoDateCountReq)

Requires:
@tuya-miniapp/cloud-api≥1.0.5

Description

Retrieve Time Album smart video date statistics

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<IAlbumVideoDateCountRes[]>
Array of segmented statistics (type, description, startTime, endTime, coverInfo)

Referenced Types

interfaceIAlbumVideoDateCountRes
PropertyTypeDescription
typestringValid values: today, lastWeek, lastMonth, all, month, etc. (see API documentation)
descriptionstringDescription text
startTimenumberStart time
endTimenumberEnd time
coverInfoIFileUrlCover image and key information

Examples

Request example

import { albumVideoDateCount } from '@tuya-miniapp/cloud-api';

albumVideoDateCount({ stockId: 1, gid: '194137', timeAlbumId: 100 })
  .then((rows) => console.log(rows))
  .catch(console.error);

Response example

[
  {
    "type": "today",
    "description": "Today",
    "startTime": 1700000000000,
    "endTime": 1700086400000,
    "coverInfo": { "fileUrl": "https://images.example.com/cover.jpg" }
  }
]